> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zudu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate MCP server URL

> Validates an MCP server URL (current behavior).

## Notes

* Validates format, duplicates, and connectivity


## OpenAPI

````yaml post /api/mcp-servers/validate-url
openapi: 3.0.3
info:
  title: Zudu API
  description: >-
    Comprehensive REST API for LiveKit Backend - Call Management, Agent
    Configuration, and Real-time Communication Services
  version: 1.0.0
  contact:
    name: Zudu AI Team
    url: https://zudu.ai
    email: support@zudu.ai
  license:
    name: Proprietary
    url: https://zudu.ai/license
servers:
  - url: https://api.zudu.ai
    description: Production (Customer-facing)
security:
  - apiKey: []
    apiSecret: []
tags:
  - name: Agent Management
    description: Create and manage AI agents
  - name: Call Data Management
    description: Call records and history
  - name: Customer API Keys
    description: Manage API keys
  - name: Post-Call Webhooks
    description: Webhook configuration
  - name: phone-number-controller
    description: Phone numbers
  - name: batch-call-controller
    description: Batch calls
  - name: MCP Server Management
    description: MCP servers
  - name: Knowledge Base Management
    description: Knowledge bases
  - name: Call Analysis
    description: Call analysis
paths:
  /api/mcp-servers/validate-url:
    post:
      tags:
        - MCP Server Management
      summary: Validate MCP server URL
      description: >-
        Validates MCP server URL format, duplicates, and connectivity. Requires
        X-Service-Key, orgId, and Content-Type: application/json.
      operationId: validateMcpServerUrl
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - url
              properties:
                url:
                  type: string
                  description: MCP server URL to validate
            example:
              url: https://api.example.com/mcp-server
        required: true
      responses:
        '200':
          description: URL validation successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  status:
                    type: string
                  error:
                    type: string
                    nullable: true
                  data:
                    type: object
              example:
                message: URL validation successful
                status: success
                error: null
                data:
                  valid: true
                  url: https://api.example.com/mcp-server
                  checks:
                    format_valid: true
                    is_duplicate: false
                    connectivity_test: success
                  recommendations: []
        '400':
          description: URL validation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  status:
                    type: string
                  error:
                    type: string
                    nullable: true
                  data:
                    type: object
              example:
                message: URL validation failed
                status: error
                error: Invalid URL format
                data:
                  valid: false
                  url: invalid-url
                  checks:
                    format_valid: false
                    is_duplicate: false
                    connectivity_test: not_tested
                  recommendations:
                    - URL must start with http:// or https://
                    - URL must contain a valid domain name
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  status:
                    type: string
                  error:
                    type: string
                    nullable: true
                  data:
                    type: string
                    nullable: true
              example:
                message: Internal server error
                status: error
                error: Server error
                data: null
components:
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key for MCP server and external service authentication
      name: X-API-KEY
      in: header
    apiSecret:
      type: apiKey
      description: API Secret for MCP server and external service authentication
      name: X-API-SECRET
      in: header

````